Package com.avaya.clientservices.provider.amm

## Class AMMConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.amm.AMMConfiguration

-     public class AMMConfiguration
      extends java.lang.Object

  Configuration for AMM specific to a user.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AMMConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CredentialProvider` | `getCredentialProvider()` | A CredentialProvider value representing the object that provides the credentials.
    `int` | `getPollIntervalInMinutes()` | The messaging refresh (poll) in minutes.
    `ServerInfo` | `getServerInfo()` | A ServerInfo value indicating the server to connect with.
    `boolean` | `isEnabled()` | A Boolean value indicating whether the AMM provider is enabled.
    `boolean` | `isPushNotificationsEnabled()` | A Boolean value indicating whether Push Notifications are enabled.
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the ICredentialProvider value representing the object that provides the credentials.
    `void` | `setEnabled​(boolean enabled)` | Set the Boolean value indicating whether the AMM provider is enabled.
    `void` | `setPollIntervalInMinutes​(int pollIntervalInMinutes)` | Set the messaging refresh (poll) in minutes.
    `void` | `setPushNotificationsEnabled​(boolean enabled)` | A Boolean value indicating whether Push Notifications are enabled.
    `void` | `setRemoteNotificationsDeviceToken​(java.lang.String remoteNotificationsDeviceToken)` | A unique app-device token assigned by FCM to an application instance running in a specific Android device.
    `void` | `setServerInfo​(ServerInfo serverInfo)` | Set the ServerInfo value indicating the server to connect with.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AMMConfiguration

          public AMMConfiguration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      A Boolean value indicating whether the AMM provider is enabled.
      Returns:
        true if Messaging is enabled, otherwise false.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Set the Boolean value indicating whether the AMM provider is enabled.
      Parameters:
        `enabled` - true if Messaging is enabled, otherwise false.

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      A CredentialProvider value representing the object that provides the credentials.
      Returns:
        Credential Provider to be used to get the credentials

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the ICredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - to be used to get the credentials

    - #### getPollIntervalInMinutes

          public int getPollIntervalInMinutes()

      The messaging refresh (poll) in minutes.
      Returns:
        the messaging refresh interval in minutes.

    - #### setPollIntervalInMinutes

          public void setPollIntervalInMinutes​(int pollIntervalInMinutes)

      Set the messaging refresh (poll) in minutes.
      Parameters:
        `pollIntervalInMinutes` - the messaging refresh interval in minutes.

    - #### getServerInfo

          public ServerInfo getServerInfo()

      A ServerInfo value indicating the server to connect with.
      Returns:
        the server for this AMM configuration

    - #### setServerInfo

          public void setServerInfo​(ServerInfo serverInfo)

      Set the ServerInfo value indicating the server to connect with.
      Parameters:
        `serverInfo` - the server for this AMM configuration

    - #### isPushNotificationsEnabled

          public boolean isPushNotificationsEnabled()

      A Boolean value indicating whether Push Notifications are enabled.
      Returns:
        true if Push notifications are enabled, otherwise false.

    - #### setPushNotificationsEnabled

          public void setPushNotificationsEnabled​(boolean enabled)

      A Boolean value indicating whether Push Notifications are enabled.
      Parameters:
        `enabled` - true if Push notifications are enabled, otherwise false.

    - #### setRemoteNotificationsDeviceToken

          public void setRemoteNotificationsDeviceToken​(java.lang.String remoteNotificationsDeviceToken)

      A unique app-device token assigned by FCM to an application instance running in a specific Android device. This is used by the Avaya Multimedia Messaging (AMM) server when sending messaging events towards the push notification client.
      Parameters:
        `remoteNotificationsDeviceToken` - remote device token received from FCM.